#2495 closed defect (fixed)

RSB 4.11 tool build broken

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: highest Milestone: 4.11.1
Component: tool/rsb Version: 4.11
Severity: blocker Keywords:
Cc: Blocked By:
Blocking:

Description

Multiple targets: powerpc and i386
Multiple hosts: Ubuntu Wheezy, Debian Jessie, Fedora recent, and CentOS 6

+ cd /home/joel/rtems-hilo-work/rtems-source-builder/rtems/build/rtems-tools-4.11-1
+ echo '=> rtems-tools-4.11-1:'
+ echo '==> %prep:'
++ pwd
+ build_top=/home/joel/rtems-hilo-work/rtems-source-builder/rtems/build/rtems-tools-4.11-1
+ rtems_tools_source=rtems-tools-4.11
+ cd /home/joel/rtems-hilo-work/rtems-source-builder/rtems/build/rtems-tools-4.11-1
+ /bin/rm -rf rtems-tools-4.11
+ ln -s /home/joel/rtems-hilo-work/rtems-source-builder/rtems/sources/git/rtems-tools.git
+ cd rtems-tools-4.11
/home/joel/rtems-hilo-work/rtems-source-builder/rtems/build/rtems-tools-4.11-1/doit: line 85: cd: rtems-tools-4.11: No such file or directory
shell cmd failed: /bin/sh -ex /home/joel/rtems-hilo-work/rtems-source-builder/rtems/build/rtems-tools-4.11-1/doit
error: building rtems-tools-4.11-1

Attachments (1)

rtems-tools-cfg-variable.patch (588 bytes) - added by Patrick Gauvin on Jan 24, 2016 at 4:24:01 AM.

Download all attachments as: .zip

Change History (10)

comment:1 Changed on Dec 14, 2015 at 11:36:53 PM by Joel Sherrill

Well.. I am on the master branch and it also fails building 4.12.

+ build_top=/home/joel/rtems-hilo-work/rtems-source-builder/rtems/build/rtems-tools-HEAD-1
+ rtems_tools_source=rtems-tools-HEAD
+ cd /home/joel/rtems-hilo-work/rtems-source-builder/rtems/build/rtems-tools-HEAD-1
+ /bin/rm -rf rtems-tools-HEAD
+ ln -s /home/joel/rtems-hilo-work/rtems-source-builder/rtems/sources/git/rtems-tools.git
+ cd rtems-tools-HEAD
/home/joel/rtems-hilo-work/rtems-source-builder/rtems/build/rtems-tools-HEAD-1/doit: line 85: cd: rtems-tools-HEAD: No such file or directory
shell cmd failed: /bin/sh -ex /home/joel/rtems-hilo-work/rtems-source-builder/rtems/build/rtems-tools-HEAD-1/doit
error: building rtems-tools-HEAD-1

comment:2 Changed on Jan 24, 2016 at 4:22:15 AM by Patrick Gauvin

I am also seeing this failure, on both Arch Linux and Ubuntu 14.04. I've created a patch against the 4.11 branch of the RSB, here is my explanation:

In rtems/config/tools/rtems-tools-common-1.cfg '%source setup ...' requires that 'source_dir_rtems_tools' be defined beforehand to create a symlink properly (source-builder/sb/build.py:216). Otherwise, the generated doit script fails since the symlink it creates is named rtems-tools.git rather than rtems-tools-4.11, since ln receives no second argument. This is the invocation I use:

../source-builder/sb-set-builder --log=l-arm.txt --jobs 9 \
  --without-rtems --prefix=$HOME/development/rtems/4.11 \
  4.11/rtems-arm

If this is an acceptable patch, would you prefer it be against master? I can submit to the mailing list once that is determined. If you need more documentation I can provide excerpts from generated doit files.

(I've put the patch here as plaintext but will attach is as well, not sure what the convention is)

diff --git a/rtems/config/tools/rtems-tools-common-1.cfg b/rtems/config/tools/rtems-tools-common-1.cfg
index 0de16ba..eecd121 100644
--- a/rtems/config/tools/rtems-tools-common-1.cfg
+++ b/rtems/config/tools/rtems-tools-common-1.cfg
@@ -22,12 +22,11 @@ License:   BSD-2-Caluse + GPL-2.0
   build_top=$(pwd)
 
   rtems_tools_source="rtems-tools-%{rtems_tools_version}"
+  source_dir_rtems_tools=${rtems_tools_source}
 
   %source setup rtems-tools -q -n ${rtems_tools_source}
   %patch setup rtems-tools -p1
 
-  source_dir_rtems_tools=${rtems_tools_source}
-
   cd ${build_top}
 
 %build

Changed on Jan 24, 2016 at 4:24:01 AM by Patrick Gauvin

comment:3 Changed on Jan 24, 2016 at 10:44:23 AM by Chris Johns

If the bug is on both 4.11 and master then 2 patches would be really nice.

Thanks for looking into this.

comment:4 Changed on Jan 25, 2016 at 12:24:47 AM by Patrick Gauvin

I've sent both patches to the mailing list. Please let me know if I need to resubmit because of formatting or anything.

comment:5 Changed on Jan 25, 2016 at 6:01:39 PM by Mario Gruber

Thanks Patrick for the patch. It works for me to build rtems-sparc again on the 4.11 under Ubuntu 15.10

comment:6 Changed on Jan 27, 2016 at 12:46:06 PM by Thanassis Tsiodras

The patch worked for me as well (4.11/rtems-sparc).

Thanks Patrick!

comment:7 Changed on Jan 27, 2016 at 8:35:46 PM by Chris Johns

Joel can you please push the patch(s) to the repo?

Thanks.

comment:8 Changed on Jan 28, 2016 at 3:59:59 PM by Patrick Gauvin <pggauvin@…>

In aa3fdad01a0dbc3cbfd7c49e1ea07ff1a585c0b9/rtems-source-builder:

Fix RTEMS Tools source symlink generation.

Updates #2495.

comment:9 Changed on Jan 28, 2016 at 4:00:28 PM by Patrick Gauvin <pggauvin@…>

Resolution: fixed
Status: newclosed

In 7cdec5c335e0fe3d1a1bfd6e750890dc65b2d60f/rtems-source-builder:

Fix RTEMS Tools source symlink generation.

When rsb_released was not 0, a build failure would occur.

closes #2495.

Note: See TracTickets for help on using tickets.